Skip to main content
GET
/
v1
/
themes
List themes
curl --request GET \
  --url https://api.propal.io/v1/themes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "font": "<string>",
      "body_theme": "<string>",
      "color_accent": "<string>",
      "colors": {},
      "radius": 123,
      "button_radius": 123,
      "is_default": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "section_styles": null
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>",
    "total_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.propal.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx

Query Parameters

limit
string
default:25
after
string

Response

Paginated theme list

data
object[]
required
pagination
object
required